org.jvnet.libpam.impl

## Class PAMLibrary.pam_response

- java.lang.Object
- - com.sun.jna.Structure
  - - org.jvnet.libpam.impl.PAMLibrary.pam_response

Enclosing interface:
  PAMLibrary

    public static class PAMLibrary.pam_response
    extends com.sun.jna.Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.StructField`

### Field Summary

Fields
`com.sun.jna.Pointer` `resp` This is really a string, but this field needs to be malloc-ed by the conversation method, and to be freed by the caler, so I bind it to `Pointer` here.
`int` `resp_retcode`
`static int` `SIZE`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`pam_response()`
`pam_response(com.sun.jna.Pointer src)` Attach to the memory region pointed by the given memory.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setResp(String msg)` Sets the response code.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### resp

    public com.sun.jna.Pointer resp

This is really a string, but this field needs to be malloc-ed by the conversation method, and to be freed by the caler, so I bind it to `Pointer` here. The man page doesn't say that, but see http://www.netbsd.org/docs/guide/en/chap-pam.html#pam-sample-conv This behavior is confirmed with a test, too; if I don't do strdup, libpam crashes.

#### resp_retcode

    public int resp_retcode

#### SIZE

    public static final int SIZE

### Constructor Detail

#### pam_response

    public pam_response(com.sun.jna.Pointer src)

Attach to the memory region pointed by the given memory.

#### pam_response

    public pam_response()

### Method Detail

#### setResp

    public void setResp(String msg)

Sets the response code.